<?php
$conn = new mysqli('localhost', 'yoveraes_userdb', 't7@s5FxYn1GB', 'yoveraes_botica');
if (!$conn) {
    die("Error de conexión: " . mysqli_connect_error());
}

$idventa = $_POST['idventa'];

// Verificar si existe la venta
$verificar = $conn->query("SELECT * FROM ventas WHERE id = $idventa");
if ($verificar->num_rows == 0) {
    echo "Venta no encontrada.";
    exit;
}
date_default_timezone_set('America/Lima');
$hora_baja = date('H:i:s'); // Hora actual
$dia_baja = date("Y-m-d");
$fecha_formateada = 'Anulado el Día : ' . date("d/m/Y", strtotime($dia_baja)) . ' Hora : ' . date("H:i:s", strtotime($hora_baja));
// Cambiar estado a "anulado"
$conn->query("UPDATE ventas SET cliente='ANULADO', direccion='$fecha_formateada', total=0.00, hora_vtab='$hora_baja'  WHERE id = $idventa");

// Restaurar stock
$detalles = $conn->query("SELECT id_producto, cantidad FROM detalle_ventas WHERE id_venta = $idventa");
while ($row = $detalles->fetch_assoc()) {
    $conn->query("UPDATE producto SET existencia = existencia + {$row['cantidad']} WHERE codproducto = {$row['id_producto']}");
}

echo "La boleta ha sido anulada correctamente.";
?>